<template>
  <div>
    <div class="bg-main pt-24 flex justify-evenly items-center flex-col">
      <BaseContainer>
        <h1 class="text-center text-5xl pb-1 text-black-dark">
          Deine Job website
        </h1>
      </BaseContainer>
      <img src="/images/undraw_agreement_aajr.svg" />
      <div style="height: 50px; overflow: hidden" class="w-full">
        <svg
          viewBox="0 0 500 150"
          preserveAspectRatio="none"
          style="height: 100%; width: 100%"
        >
          <path
            fill="url(#gradient)"
            d="M0.00,49.98 C149.99,150.00 349.20,-49.98 500.00,49.98 L500.00,150.00 L0.00,150.00 Z"
            style="stroke: none; fill: #fff"
          ></path>
        </svg>
      </div>
    </div>

    <div
      class="
        rounded-t-xl
        bg-white
        mt-minusxl
        pt-5
        pb-8
        shadow-custom1
        fixed
        w-full
        bottom-0
        z-30
      "
    >
      <BaseContainer>
        <PrimaryButton title="Kostenlos Registrieren" to="/"></PrimaryButton>
      </BaseContainer>
    </div>
    <div class="pt-5 pb-32">
      <SliderMenu>
        <div
          :class="{ 'text-white bg-main-light': isActive == index }"
          class="py-3 px-7 border menu-item text-main cursor-pointer"
          v-for="(category, index) in categories"
          :key="index"
          @click="changeMenu(index)"
        >
          {{ category.title }}
        </div>
      </SliderMenu>
      <BaseContainer class="pt-5">
        <h2 class="text-xl text-center text-black px-5">
          {{ categories[isActive].description }}
        </h2></BaseContainer
      >
      <div class="pt-4 relative">
        <RoundedBackground class="bottom-0" />
        <BaseContainer class="relative">
          <ItemDescription
            :title="categories[isActive].items[0].title"
            number="1."
            :img="categories[isActive].items[0].img"
          />
        </BaseContainer>
      </div>
      <WaveBackground class="mt-5">
        <div class="bg-wave py-16">
          <BaseContainer>
            <ItemDescription
              :title="categories[isActive].items[1].title"
              number="2."
              :img="categories[isActive].items[1].img"
              :reverse="true"
            />
          </BaseContainer>
        </div>
      </WaveBackground>
      <div class="relative mt-minuslg">
        <RoundedBackground class="top-0" />
        <BaseContainer class="relative">
          <ItemDescription
            :title="categories[isActive].items[2].title"
            number="3."
            :img="categories[isActive].items[2].img"
            :reverse="true"
            class="pl-2"
          />
        </BaseContainer>
      </div>
    </div>
  </div>
</template>

<script>
import BaseContainer from "~/components/containers/BaseContainer.vue";
import PrimaryButton from "~/components/widgets/PrimaryButton.vue";
import WaveBackground from "~/components/widgets/WaveBackground.vue";
import RoundedBackground from "~/components/widgets/RoundedBackground.vue";
import SliderMenu from "~/components/widgets/SliderMenu.vue";
import ItemDescription from "~/components/widgets/ItemDescription.vue";

export default {
  head: {
    title: "Tomisha | Home",
  },
  components: {
    BaseContainer,
    PrimaryButton,
    WaveBackground,
    RoundedBackground,
    SliderMenu,
    ItemDescription,
  },
  data() {
    return {
      isActive: 0,
      categories: [
        {
          title: "Arbeitnehmer",
          description: "Drei einfache Schritte zu deinem neuen Job",
          items: [
            {
              title: "Erstellen dein Lebenslauf",
              img: "/images/undraw_Profile_data_re_v81r.svg",
            },
            {
              title: "Erstellen dein Lebenslauf",
              img: "/images/undraw_task_31wc.svg",
            },
            {
              title: "Mit nur einem Klick bewerben",
              img: "/images/undraw_personal_file_222m.svg",
            },
          ],
        },
        {
          title: "Arbeitgeber",
          description: "Drei einfache Schritte zu deinem neuen Mitarbeiter",
          items: [
            {
              title: "Erstellen dein Unternehmensprofil",
              img: "/images/undraw_Profile_data_re_v81r.svg",
            },
            {
              title: "Erstellen ein Jobinserat",
              img: "/images/undraw_about_me_wa29.svg",
            },
            {
              title: "Wähle deinen neuen Mitarbeiter aus",
              img: "/images/undraw_swipe_profiles1_i6mr.svg",
            },
          ],
        },
        {
          title: "Temporärbüro",
          description:
            "Drei einfache Schritte zur Vermittlung neuer Mitarbeiter",
          items: [
            {
              title: "Erstellen dein Unternehmensprofil",
              img: "/images/undraw_Profile_data_re_v81r.svg",
            },
            {
              title: "Erhalte Vermittlungs- angebot von Arbeitgeber",
              img: "/images/undraw_job_offers_kw5d.svg",
            },
            {
              title: "Vermittlung nach Provision oder Stundenlohn",
              img: "/images/undraw_business_deal_cpi9.svg",
            },
          ],
        },
      ],
    };
  },
  methods: {
    changeMenu(index) {
      this.isActive = index;
    },
  },
};
</script>

<style lang="css">
.menu-item:nth-child(2) {
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
}
.menu-item:nth-last-child(2) {
  border-top-right-radius: 12px;
  border-bottom-right-radius: 12px;
}
</style>
